Fundraising
/- Sends out a preview of the pledge notification email
Creates a new pledge record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified contact_id
Returns a list of records with the specified donor_id
Generates an order from a fundraising pledge
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Preview Pledge Receipt
Resend Receipt
Resend Receipt
Resend Receipt
Searches for pledges using predefined parameters
Returns a pledge from the system by its ID.
Returns a pledge from the system by its ID.
Partially updates a pledge with the specified ID.
Updates a pledge with the specified ID.
Sends out a preview of th...
Sends out a preview of the pledge notification email
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/previewEmail
- https://fundraising.api.rhythmsoftware.comhttps://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/previewEmail
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/previewEmail' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"destination_email_address": "string",
"email_template": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"pledge_id": "string",
"recurring_gift_id": "string"
}'